
D4Science Infrastructure - Task #9104

data.d4science: remove rootLogger inside webapps

Jun 29, 2017 12:40 PM - Roberto Cirillo

Status: Closed Start date: Jun 28, 2017

Priority: Normal Due date:  

Assignee: Francesco Mangiacrapa % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production   

Description

In order to have only one log4j properties definition on the following hosts:

data1-d4s.d4science.org

data2-d4s.d4science.org

data-d.d4science.org

 It's needed to remove the log4j file properties from the following webapps:

uri-resolver

tree

gis-viewer-app

workspace-explorer-app

 After that, I'm going to configure a single log4j.properties file under tomcat.

History

#1 - Jul 03, 2017 04:51 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

#2 - Jul 03, 2017 05:28 PM - Francesco Mangiacrapa

- % Done changed from 0 to 70

The file log4j.properties has been removed for:

uri-resolver RN: 150699 pom version updated at 1.13.0

gis-viewer-app RN: 150701 pom version updated at 1.5.1

workspace-explorer-app RN: 150705 pom version updated at 1.0.1

#3 - Jul 03, 2017 06:10 PM - Francesco Mangiacrapa

- % Done changed from 70 to 100

@roberto.cirillo@isti.cnr.it I just deployed the applications reported above (uri-resolver, gis-viewer-app and workspace-explorer-apap) on data-d.

In this way the file log4j.properties has been removed everywhere, so if you want perform some tests you can do them.

I'm not the manager of the application named "tree", anyway It is not present on data-d and for me it can be updated directly on svn branch (removing

the file log4j.properties) and releasing it from there.

I will release all applications listed above asa ETICS will be available again :-) At the moment it is very slow.

#7 - Aug 03, 2017 05:34 PM - Francesco Mangiacrapa

- Status changed from In Progress to Paused

#8 - Sep 04, 2017 05:41 PM - Roberto Cirillo

- Status changed from Paused to Closed

I've deployed the new apps on data-d.d4science.org and configured a single log4j.properties under tomcat. Now it works well.

#9 - Sep 04, 2017 05:49 PM - Andrea Dell'Amico
I forgot to tell you that you need to set the variable:

tomcat_install_the_log4j_properties: False

 Otherwise the next playbook run will reinstall the log4j.properties file from the playbook's  template.

#10 - Sep 04, 2017 06:22 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

I forgot to tell you that you need to set the variable:

tomcat_install_the_log4j_properties: False

 Otherwise the next playbook run will reinstall the log4j.properties file from the playbook's  template.

 OK Thanks. I'm going to add the variable on both "data" and "data_dev" roles.
